How can I update the Kotlin Plugin in Android Studio for a Flutter Project

Hi . I am new to Flutter/Dart and Android development.

My question is the title:

  • How can I update the Kotlin Plugin in Android Studio for a Flutter Project.

In the following, I shortly describe the context:
It seems I need to update the Kotlin plugin version that is bundled to the android flutter project.
I think so because the flutter plugin I try to use (flutter_osm_plugin ) exploits some features that are not supported by the current kotlin version in Android 4.1.2.

So, in order to update the Kotlin plugin, I try to open
Tools → Kotlin → Configure Kotlin Plugin Updates,
but it does not open. Nothing happens. A subquestion is why ??

I think it could be something specific to the Flutter interface of the Android Studio because previously when working with Java (instead of Dart/Flutter) I managed to open the « Configure Kotlin Updates ».

Many thanks by advance.